# Πρόγραμμα Υπολογισμού Μέσου Όρου Λίστας Αριθμών

# Ορισμός συνάρτησης Υπολογισμού Μέσου Όρου Λίστας Αριθμών
# Παράμετρος εισόδου εϊναι η μεταβλητή lista ενώ τιμή εξόδου
# η τιμή της μεταβλητής mesos_oros
def mesos_oros(lista):
    # Αρχικοποίηση μεταβλητής αθροιστή αριθμών με τη τιμή 0
    athroisma=0
    # Χρήση εντολής επανάληψης for 
    # Η μεταβλητή i θα λάβει διαδοχικά όλες τις τιμές
    # μεταξύ 0 και του (μήκους της λίστας - 1)
    for i in  range(len(lista)):
        # Αύξηση αθροιστή κατά αριθμό ίσο με τον i-στο
        # αριθμό της λίστας
        athroisma = athroisma+lista[i]
    # Υπολογισμός μέσου όρου ως το πηλίκο του αθροίσματος
    # των αριθμών της λίστας δια του μήκους της λίστας
    mesos_oros = athroisma/len(lista)
    # Επιστροφή τιμής εξόδου
    return mesos_oros
     
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Υπολογισμού του \
Μέσου Όρου Λίστας Αριθμών")
print()

# Ορισμός 2 λιστών αριθμών
lista1=[7,8,5,9,4,6]
lista2=[9,8,6,8,9,6,8,9,8,9,8,9,6,7,5,8]

# Εμφάνιση Αποτελεσμάτων
print("O Μέσος Όρος των αριθμών της λίστας",lista1,"είναι",\
      mesos_oros(lista1))
print()
print("O Μέσος Όρος των αριθμών της λίστας",lista2,"είναι",\
      mesos_oros(lista2))

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Υπολογισμού \
Μέσου Όρου Λίστας Αριθμών") 

